# Artificial Crew
## a plugin for Endless Sky

Help Kraz Cybernetics, Deep Sky, and Syndicate Systems produce their artificial crew offerings.

Maybe you're more comfortable in the company of robots than people. Maybe you just like the idea of being a solo captain. Or maybe you just don't like writing paychecks. Whatever your reasons, you want some artificial crew members, and the mission lines to enable them. This plugin delivers.

### how to play

First, acquire Endless Sky (this is left as an exercise for the reader). The plugin is designed for 0.10.15 (that's the current "continuous build" version at time of writing), but should be okay at least as far back as 0.10.5.

Acquire the plugin (click on the "Code" button above and either clone the repo or download the zip). Then, install the plugin (see [this page from the ES wiki](https://github.com/endless-sky/endless-sky/wiki/CreatingPlugins) for information). Finally, play Endless Sky with the plugin.

Well, nothing is actually going to be different until you pick up a quest or two. Some companies have been working on artificial crew projects, and might need help finishing them--I recommend hanging around parts of the galaxy associated with those companies.

### stuff to do

This plugin is by no means complete, and work continues on things like:

  - images for the outfits
    - learn blender
    - use it
    - learn everything else
    - do that
  - make the Syndicate reward work
  - add log entries
  - check for (spoiler) when describing job to travel to (spoiler)


### licensing

Everything in this plugin is copyright 2025, jmelesky, unless otherwise noted, and is available for use under a Creative Commons CC-BY-SA license (see LICENSE.txt). In brief, feel free to redistribute and modify, but you should attribute my stuff to me, and the modified work should include the same license.


.

.

.

.


### hints

Alright, so "hang around in parts of the galaxy" isn't enough of a hint. I get it. Here's some slightly more spoiler-y hints on how to get started:

  - Kraz Cybernetics is working on robots. They're located in the Rim in the south/southwest of the galaxy. Their quest line starts off in a Spaceport, like most story-ish quests. You will need to have been in at least a small battle or two.
  - Deep Sky is working on secretive things, per their usual. They're located in the Deep, in the western part of the galaxy, and their quest line starts with a somewhat secretive job board posting.
  - The Syndicate is not ready for this kind of competition (*so* not ready that IT'S NOT YET IMPLEMENTED), and will need some help once they find out that Kraz and Deep Sky are close to finishing their products. They're located in the eastern part of the galaxy and you should check Spaceports there once you help another company.

Also: if you start a company quest, and then fail or abort it, these products will still show up. It's just going to take much longer since you weren't able to help them out.

Finally: there may be additional quests which only happen after the completion of the game's main quest. (EXCEPT THERE AREN'T BECAUSE THEY ARE NOT YET IMPLEMENTED)
